Bug 998485 - guestfish remote prints "libguestfs: error: waitpid (qemu): No child processes"
guestfish remote prints "libguestfs: error: waitpid (qemu): No child processes"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.0
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
QJ130807-012
: OtherQA
Depends On: 998482
Blocks: 839484
  Show dependency treegraph
 
Reported: 2013-08-19 08:32 EDT by Richard W.M. Jones
Modified: 2014-06-17 22:00 EDT (History)
10 users (show)

See Also:
Fixed In Version: libguestfs-1.22.6-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 998482
Environment:
Last Closed: 2014-06-13 07:44:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2013-08-19 08:32:49 EDT
+++ This bug was initially created as a clone of Bug #998482 +++

Reported by: Kazuya Saito

Note for some reason that I cannot work out, this is only reproducible
in the libguestfs source directory.

(a) Checkout libguestfs from git and compile it in the usual way.

(b) make -C tests/guests check

(c) In one window, run:

  ./run ./fish/guestfish --listen --ro -a ./tests/guests/debian.img -i

This will print out (the number will be different):

  GUESTFISH_PID=13170; export GUESTFISH_PID

(d) In another window, run:

  GUESTFISH_PID=13170 ./run ./fish/guestfish --remote exit

In the first window you'll see an error:

  libguestfs: error: waitpid (qemu): No child processes

That is a bug.
Comment 3 Can Zhang 2013-11-08 01:46:25 EST
I installed libguestfs-1.22.2-1.el7, and ran `LIBGUESTFS_BACKEND=direct guestfish --listen --ro -a RHEL-Server-7.0-64-hvm.raw -i -v` in one terminal. Then opened a new terminal window and run `GUESTFISH_PID=8403 guestfish --remote exit`. And I saw error outputs from the first terminal:

# guestfish(8403): exit
libguestfs: closing guestfs handle 0x7fe56a024180 (state 2)
guestfsd: main_loop: proc 73 (mount_ro) took 0.10 seconds
guestfsd: main_loop: new request, len 0x28
umount /sysroot/boot
umount /sysroot
fsync /dev/sda
libguestfs: sending SIGTERM to process 8385
libguestfs: error: waitpid (qemu): No child processes
libguestfs: command: run: rm
libguestfs: command: run: \ -rf /tmp/libguestfsOIXqJe

And in a newer version, libguestfs-1.22.6-15.el7, no error message outputs.
Comment 4 Ludek Smid 2014-06-13 07:44:36 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.